SDL_SetGamepadEventsEnabled(3)

NAME
SDL_SetGamepadEventsEnabled - Set the state of gamepad event processing.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

void SDL_SetGamepadEventsEnabled(bool enabled);

DESCRIPTION
If gamepad events are disabled, you must call SDL_UpdateGamepads() yourself and check the state of the gamepad when you want gamepad information.

FUNCTION PARAMETERS

enabled
    whether to process gamepad events or not.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GamepadEventsEnabled(3), SDL_UpdateGamepads(3)